<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_b742a00ae87756f85" . "0c77e0daf4e7a3a" => base64_decode("C" . "g" . "=" . "="), "_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5" => base64_decode("aW5f" . "YXJy" . "YXk="), "_0f10830288c813de18599c12f7" . "6694b3" => base64_decode("RGVidW" . "c="), "_a08b13e5439bf1e1258f60e9380" . "f41ae" => base64_decode("RGV0Y" . "Wls"), "_e2670a71b0605" . "345f16f2b7a8ed" . "d4a21" => base64_decode("dWNmaX" . "JzdA=="), "_74923e1c0049a84fd020d96f8ae06" . "45d" => base64_decode("SW5mb" . "w=="), "_70809333a0f254acf7a1a" . "d0c7dadd46b" => base64_decode("O" . "i" . "A" . "="), "_24f5487bd60ba6b30d6285c791a" . "32460" => base64_decode("c3RyX" . "3BhZA" . "=="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e2670a71b0605345f16f2b7a8edd4a" . "21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_74923e1c" . "0049a84fd" . "020d96f8a" . "e0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a08b13e54" . "39bf1e1258" . "f60e9380f4" . "1ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0f10830" . "288c813d" . "e18599c1" . "2f76694b" . "3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_24f5487bd60ba6b30d6285c791a32" . "460"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e2670a71b0605345f16f2" . "b7a8edd4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_70809333a0f254acf7a1ad0c7d" . "add46b"] . $message . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b742a00ae87756f850c77e0daf4e7" . "a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}